#ifndef SOCKET_H
#define SOCKET_H

/*
 * @(#)Socket.h
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 2002 Jörg P. M. Haeger
 *
 * webCDwriter is free software. See CDWserver.cpp for details.
 */

#include "Types.h"

class Socket {
	int fd;
	class BufferedReader *inputStream;
	String inetAddress;
public:
	Socket(int fd);
	Socket(const char *host, int port);
	~Socket();
	String &getInetAddress();
	class BufferedReader &getInputStream();
	int getOutputStream();
	int getPort();
	void setKeepAlive(boolean on);
	void setSoLinger(boolean on, int linger);
};

#endif
